local HomeVJR = ...

-- Apply building asset processor
HomeVJR:registerAssetProcessor("models/core.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

HomeVJR:registerAssetId("models/core.fbx/Prefab/CoreBuildingPart", _HomePrefix .. "_CORE_BUILDING_PREFAB")

-- Register the Core part
HomeVJR:register({
	DataType = "BUILDING_PART",
	Id = _HomePrefix .. "_CORE_BUILDING_PART",
	Name = _HomePrefix .. "_CORE_BUILDING_NAME",
	Description = _HomePrefix .. "_CORE_BUILDING_DESC",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = _HomePrefix .. "_CORE_BUILDING_PREFAB"
	},
        IsVisibleWhenBuilt = false
})

-- Register the monument for manual setup
HomeVJR:register({
    Id = _HomePrefix .. "_MONUMENT",
    Name = _HomePrefix .. "_MONUMENT_NAME",
    Description = _HomePrefix .. "_MONUMENT_DESC",
    BuildingType = "MONUMENT",
    DataType = "BUILDING",
    AssetCoreBuildingPart = _HomePrefix .. "_CORE_BUILDING_PART",
    BuildingPartSetList = {
		{
			Name = _HomePrefix .. "_PARTSETLIST_NAME",
	                BuildingPartList = {
		            _HomePrefix .. "_HOME2_PART",
		            _HomePrefix .. "_HOME3_PART",
		            _HomePrefix .. "_HOME4_PART",
		            _HomePrefix .. "_HOME5_PART",
		            _HomePrefix .. "_HOME6_PART",
		            _HomePrefix .. "_HOME11_PART"
                         }
                 }
    },
    RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
    },
    IsEditable = true
})

